import { ElementRef, OnDestroy } from '@angular/core';
import { DropdownDirective } from './dropdown.directive';
import * as i0 from "@angular/core";
export declare class DropdownTriggerDirective implements OnDestroy {
    private element;
    private dropdown;
    private parentFocusEventSubscription;
    haspopup: boolean;
    constructor(element: ElementRef, dropdown: DropdownDirective);
    ngOnDestroy(): void;
    toggleOpen(): void;
    onKeyDownOpen($event: Event): void;
    focus(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownTriggerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DropdownTriggerDirective, "[unoDropdownTrigger]", never, {}, {}, never, never, false>;
}
